package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.InspectionItemEnum;
import com.ym.mec.common.entity.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value = "com-ym-mec-biz-dal-entity-InspectionItem")
public class InspectionItem extends BaseEntity {
    /**
     * 巡查任务项id
     */
    @ApiModelProperty(value = "巡查任务项id")
    private Long id;

    /**
     * 巡查任务id
     */
    @ApiModelProperty(value = "巡查任务id")
    private Long inspectionId;

    /**
     * 分部id
     */
    @ApiModelProperty(value = "分部id")
    private Integer organId;

    /**
     * 乐团主管id
     */
    @ApiModelProperty(value = "乐团主管id")
    private Integer userId;

    /**
     * 任务项
     */
    @ApiModelProperty(value = "任务项")
    private InspectionItemEnum item;

    /**
     * 任务次数
     */
    @ApiModelProperty(value = "任务次数")
    private Integer times;

    /**
     * 已安排日程次数
     */
    @ApiModelProperty(value = "已安排日程次数")
    private Integer plannedTimes;

    /**
     * 已提交任务数
     */
    @ApiModelProperty(value = "已提交任务数")
    private Integer submittedTimes;

    /**
     * 处理意见
     */
    @ApiModelProperty(value = "处理意见")
    private String memo;

    /**
     * 操作人
     */
    @ApiModelProperty(value = "操作人")
    private Integer operation;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "月份")
    private Date month;

    @ApiModelProperty(value = "分部名称")
    private String organName;

    @ApiModelProperty(value = "主管名字")
    private String userName;

    private Date generateTime;

    /** 处理时间 */
    private java.util.Date dealTime;

    public Date getGenerateTime() {
        return generateTime;
    }

    public void setGenerateTime(Date generateTime) {
        this.generateTime = generateTime;
    }

    public Date getDealTime() {
        return dealTime;
    }

    public void setDealTime(Date dealTime) {
        this.dealTime = dealTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getInspectionId() {
        return inspectionId;
    }

    public void setInspectionId(Long inspectionId) {
        this.inspectionId = inspectionId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public InspectionItemEnum getItem() {
        return item;
    }

    public void setItem(InspectionItemEnum item) {
        this.item = item;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Integer getPlannedTimes() {
        return plannedTimes;
    }

    public void setPlannedTimes(Integer plannedTimes) {
        this.plannedTimes = plannedTimes;
    }

    public Integer getSubmittedTimes() {
        return submittedTimes;
    }

    public void setSubmittedTimes(Integer submittedTimes) {
        this.submittedTimes = submittedTimes;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getOperation() {
        return operation;
    }

    public void setOperation(Integer operation) {
        this.operation = operation;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getMonth() {
        return month;
    }

    public void setMonth(Date month) {
        this.month = month;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
